﻿
.navbar-brown {
    background-color: #311c00;
    padding: 5px;
}

body {
    background-color: #4a2408;
    color: #FFF;
}

.container-mobile {
    max-width: 540px;
}

.nav-link {
    color: #FFF;
}

a:hover {
    color: #bb6e00;
}

.loginBody {
    display: flex;
    align-items: center;
    padding-top: 0px;
    padding-bottom: 96px;
}

.form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
}

.form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.form-signin .form-control {
    position: relative;
    box-sizing: border-box;
    height: auto;
    padding: 10px;
    font-size: 16px;
}

.form-signin .form-control:focus {
    z-index: 2;
}


.btn-std {
    background: linear-gradient(0deg, rgba(130,64,0,1) 0%, rgba(194,113,0,1) 100%);
    border-color: #bb6e00;
    color: #FFF;
    font-weight: bold;
    /*text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;*/
    text-shadow: -1px -1px 2px #000, 1px -1px 2px #000, -1px 1px 2px #000, 1px 1px 2px #000;
}

.btn-std:hover {
    color: #bb6e00;
}

.body-content{
    margin-top: 50px;
    padding-top: 10px;
    padding-bottom: 10px;
}

#navbar-button {
    background: linear-gradient(0deg, rgba(130,64,0,1) 0%, rgba(194,113,0,1) 100%);
    border-color: #bb6e00;
}

#navbar-button .icon-bar {
    background-color: #4c1b09;
}

.navbar-brand {
    color: #FFF;
}

.navbar-toggler {
    padding: 9px 10px;
}

.navbar-toggler .icon-bar {
    display: block;
    width: 22px;
    height: 2px;
    border-radius: 1px;
}

.navbar-toggler .icon-bar + .icon-bar {
    margin-top: 4px;
}

.hero-card {
    height: 500px;
    background-color: #311c00;
    border: 3px solid #FFF;
    border-radius: 10px;
}
@media only screen and (max-width: 340px) {
    .hero-card {
        width: 320px;
    }
    .hero-card-buttons {
        margin-left: auto;
        margin-right: auto;
        width: 320px;
    }
}
@media only screen and (min-width: 420px) {
    .hero-card {
        margin: 0px auto;
        width: 400px;
    }
    .hero-card-buttons {
        margin-left: auto;
        margin-right: auto;
        width: 400px;
    }
}

.hero-card-title {
    height: 50px;
    border: 3px solid #777;
    border-radius: 7px 7px 0px 0px;
    background-color: #DDD;
    position: relative;
}

.hc-title-water {
    border: 3px solid #0048a6;
    background-color: #0096e7;
}

.hc-title-fire {
    border: 3px solid #680000;
    background-color: #a80000;
}

.hc-title-earth {
    border: 3px solid #304e00;
    background-color: #587c00;
}

.hc-title-light {
    border: 3px solid #905200;
    background-color: #e3bb00;
}

.hc-title-dark {
    border: 3px solid #210242;
    background-color: #2c1268;
}

.hero-card-title-text {
    font-weight: bold;
    font-size: 1.4em;
    text-shadow: 0px 0px 4px #777, 0px 0px 4px #777, 0px 0px 4px #777, 0px 0px 4px #777, 0px 0px 4px #777, 0px 0px 4px #777;
    text-align: center;
    padding-top: 5px;
}

.hc-title-text-water {
    text-shadow: 0px 0px 4px #0048a6, 0px 0px 4px #0048a6, 0px 0px 4px #0048a6, 0px 0px 4px #0048a6, 0px 0px 4px #0048a6, 0px 0px 4px #0048a6;
}

.hc-title-text-fire {
    text-shadow: 0px 0px 4px #680000, 0px 0px 4px #680000, 0px 0px 4px #680000, 0px 0px 4px #680000, 0px 0px 4px #680000, 0px 0px 4px #680000;
}

.hc-title-text-earth {
    text-shadow: 0px 0px 4px #304e00, 0px 0px 4px #304e00, 0px 0px 4px #304e00, 0px 0px 4px #304e00, 0px 0px 4px #304e00, 0px 0px 4px #304e00;
}

.hc-title-text-light {
    text-shadow: 0px 0px 4px #905200, 0px 0px 4px #905200, 0px 0px 4px #905200, 0px 0px 4px #905200, 0px 0px 4px #905200, 0px 0px 4px #905200;
}

.hc-title-text-dark {
    text-shadow: 0px 0px 4px #210242, 0px 0px 4px #210242, 0px 0px 4px #210242, 0px 0px 4px #210242, 0px 0px 4px #210242, 0px 0px 4px #210242;
}

.hero-card-title-element {
    height: 50px;
    width: 50px;
    top: 8px;
    left: 10px;
    border: 3px solid #777;
    border-radius: 50%;
    background-color: #DDD;
    position: absolute;
}

.hc-title-element-water {
    border: 3px solid #0048a6;
    background-color: #0096e7;
}

.hc-title-element-fire {
    border: 3px solid #680000;
    background-color: #a80000;
}

.hc-title-element-earth {
    border: 3px solid #304e00;
    background-color: #587c00;
}

.hc-title-element-light {
    border: 3px solid #905200;
    background-color: #e3bb00;
}

.hc-title-element-dark {
    border: 3px solid #7a00eb;
    background-color: #2c1268;
}

.hero-card-hero-container {
    background-color: #777;
    margin: 15px 15px 0px 15px;
    border-radius: 5px;
    border: solid 0px transparent;
    height: 280px;
}

.hc-hc-bg-water {
    background-color: #002c42
}

.hc-hc-bg-fire {
    background-color: #450b01
}

.hc-hc-bg-earth {
    background-color: #283c00;
}

.hc-hc-bg-light {
    background-color: #774e00;
}

.hc-hc-bg-dark {
    background-color: #340b53;
}

.hero-card-hero-view {
    margin: 0px;
    background: linear-gradient(0deg, rgba(200,200,200,1) 0%, rgba(230,230,230,1) 100%);
    border-radius: 5px;
    border: solid 0px transparent;
    height: 250px;
    position: relative;
}

.hc-hv-bg-water {
    background: linear-gradient(0deg, rgba(0,66,100,1) 0%, rgba(0,203,255,1) 100%);
}

.hc-hv-bg-fire {
    background: linear-gradient(0deg, rgba(134,21,0,1) 0%, rgba(251,53,0,1) 100%)
}

.hc-hv-bg-earth {
    background: linear-gradient(0deg, rgba(79,118,0,1) 0%, rgba(214,248,0,1) 100%)
}

.hc-hv-bg-light {
    background: linear-gradient(0deg, rgba(222,207,82,1) 0%, rgba(254,253,250,1) 100%)
}

.hc-hv-bg-dark {
    background: linear-gradient(0deg, rgba(85,17,135,1) 0%, rgba(201,62,254,1) 100%)
}

.hero-card-stars {
    position: absolute;
    height: 30px;
    font-size: 1.2rem;
    width: 100%;
    top: 10px;
    background-color: rgba(0,0,0,0.75);
}

.hero-card-hero-picture {
    position: absolute;
    height: 200px;
    width: 200px;
    top: 50%;
    left: 50%;
    margin-top: -80px;
    margin-left: -100px;
}

.hero-img {
    height: 200px;
    width: 200px;
}

.hero-card-medalorigin {
    position: absolute;
    width: 45px;
    height: 45px;
    background-image: url('/images/cards/MedalOrigin.png');
    background-size: cover;
    top: 45px;
    left: 5px;
}

.hero-card-job {
    position: absolute;
    width: 45px;
    height: 45px;
    top: 95px;
    left: 5px;
    background-size: cover;
}

.hc-job-brawler {
    background-image: url('/images/cards/JobBrawler.png');
}

.hc-job-barbarian {
    background-image: url('/images/cards/JobBarbarian.png');
}

.hc-job-knight {
    background-image: url('/images/cards/JobKnight.png');
}

.hc-job-rogue {
    background-image: url('/images/cards/JobRogue.png');
}

.hc-job-lancer {
    background-image: url('/images/cards/JobLancer.png');
}

.hc-job-samurai {
    background-image: url('/images/cards/JobSamurai.png');
}

.hc-job-ranger {
    background-image: url('/images/cards/JobRanger.png');
}

.hc-job-magician {
    background-image: url('/images/cards/JobMagician.png');
}

.hc-job-gunner {
    background-image: url('/images/cards/JobGunner.png');
}

.hc-job-support {
    background-image: url('/images/cards/JobSupport.png');
}

.hero-card-walktype {
    position: absolute;
    width: 45px;
    height: 45px;
    background-image: url('/images/cards/TypeFlying.png');
    background-size: cover;
    top: 145px;
    left: 5px;
}

.hc-flying {
    background-image: url('/images/cards/TypeFlying.png');
}

.hc-walking {
    background-image: url('/images/cards/TypeWalking.png');
}

.hero-card-sex {
    position: absolute;
    width: 45px;
    height: 45px;
    background-image: url('/images/cards/SexFemale.png');
    background-size: cover;
    top: 195px;
    left: 5px;
}

.hc-sex-female {
    background-image: url('/images/cards/SexFemale.png');
}

.hc-sex-male {
    background-image: url('/images/cards/SexMale.png');
}

.hero-card-base-values {
    background-color: #5a2c08;
    border-radius: 5px;
    margin: 15px 15px 0px 15px;
    border: solid 0px transparent;
    height: 30px;
    line-height: 30px;
    text-align: center;
    font-weight: bold;
}

.hero-card-base-values img {
    margin-top: -4px;
}

.hero-box {
    margin-bottom: 2px;
    margin-right: 6px;
    float: left;
}

.hero-picture {
    background-repeat: no-repeat;
    background-size: cover;
    width: 64px;
    height: 64px;
    border: 2px solid #bb6e00;
    border-radius: 4px;
    -webkit-box-shadow: 0 0 6px 1px #000 inset;
    -moz-box-shadow: 0 0 6px 1px #000 inset;
    box-shadow: 0 0 6px 1px #000 inset;
    background-size: 1000% !important;
}

.hero-picture-nomedal {
    -webkit-box-shadow: 0 0 64px 1px #000 inset !important;
    -moz-box-shadow: 0 0 64px 1px #000 inset !important;
    box-shadow: 0 0 64px 1px #000 inset !important;
}

.progress-bottom {
    position: relative; 
    top: 38px;
    height: 4px;
}
.medalcount {
    color: white;
    height: 15px;
    font-size: 10px;
    font-weight: bold;
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}

.medalmini {
    height: 15px;
    margin-top: -4px;
}

.hidden {
    display: none;
}

.hero-stars {
    position:relative;
    top: 38px;
    color: white;
    height: 18px;
    font-size: 12px;
    font-weight: bold;
    text-shadow: -2px -2px 4px #000, 2px -2px 4px #000, -2px 2px 4px #000, 2px 2px 4px #000;
    text-align: right;
    padding-right: 2px;
}

.star-yellow {
    color: #ffd800;
}

.star-awaken {
    color: #ff00d4;
}

.star-gray {
    color: #FFFFFF;
    opacity: 0.5;
}

.btn-hero {
    padding: 0px !important;
    border: 0px !important;
}

.btn-hero:focus {
    box-shadow: none !important;
}

.modal-herobox {
    background: none !important;
    border: none !important;
}

.w100p {
    width: 100px;
}

.hero-card-buttons {
    margin-top: 2rem;
}

.modal-backdrop.show {
    opacity: 0.75;
}

.btn-guild-member {
    padding: 0px !important;
    margin: 0px 0px 5px 0px !important;
    border: none !important;
}